TJ Luoma | 21 Aug 19:23 2011
Picon

minimal Xcode requirements for brew

I am trying to find the minimal Xcode requirements for `brew` for
someone who wants to be able to compile "Unix command line tools" (as
opposed to iOS and/or Mac apps)

I looked at the Xcode packages (full list below) as well as
<https://github.com/mxcl/homebrew/wiki/Xcode> and started off by
installing these packages:

* gcc4.2.pkg
* clang.pkg
* llvm-gcc4.2.pkg
* DeveloperToolsCLI.pkg
* DevSDK.pkg [based on the github wiki page above]

and was able to install `brew install coreutils` without any problem
on my 10.7.1 installation.

I had *assumed* I might need:

* DeveloperTools.pkg
* DeveloperToolsSystemSupport.pkg

but I looked through the BOM and didn’t see anything that looked important.

http://dl.dropbox.com/u/18414/brew/DeveloperTools-Bom.txt.bz2

http://dl.dropbox.com/u/18414/brew/DeveloperToolsSystemSupport-Bom.txt.bz2

I don't use X11, and I am not aware of any packages I use which
require OpenGL or Java, so I didn't install:
(Continue reading)

Kenneth Reitz | 21 Aug 19:26 2011

Re: minimal Xcode requirements for brew

Hey TJ,

I've went through and extracted all of the packages you listed and made installers for anyone to use: 


Most thing will work fine, unless something requires the closed-source OpenGL or CoreAudio, etc bindings.

-- 
Kenneth Reitz

On Sunday, August 21, 2011 at 1:23 PM, TJ Luoma wrote:

I am trying to find the minimal Xcode requirements for `brew` for
someone who wants to be able to compile "Unix command line tools" (as
opposed to iOS and/or Mac apps)

I looked at the Xcode packages (full list below) as well as
<https://github.com/mxcl/homebrew/wiki/Xcode> and started off by
installing these packages:

* gcc4.2.pkg
* clang.pkg
* llvm-gcc4.2.pkg
* DeveloperToolsCLI.pkg
* DevSDK.pkg [based on the github wiki page above]

and was able to install `brew install coreutils` without any problem
on my 10.7.1 installation.

I had *assumed* I might need:

* DeveloperTools.pkg
* DeveloperToolsSystemSupport.pkg

but I looked through the BOM and didn’t see anything that looked important.

http://dl.dropbox.com/u/18414/brew/DeveloperTools-Bom.txt.bz2

http://dl.dropbox.com/u/18414/brew/DeveloperToolsSystemSupport-Bom.txt.bz2

I don't use X11, and I am not aware of any packages I use which
require OpenGL or Java, so I didn't install:

* JavaSDK.pkg
* OpenGLSDK.pkg
* X11SDK.pkg

I will report back any problems, but thought I would share my initial findings.

If anyone knows any brew programs which would obviously fail without
installing one of the other packages, please let me know.

TjL


ps - FYI in case it is interesting to anyone, here is a complete
package list from the `Install Xcode.app/Contents/Resources/Packages/`
downloaded from the Mac App Store:

* ApplicationLoader.pkg
* BluetoothSDK.pkg
* CoreAudioSDK.pkg
* Dashcode.pkg
* DevDocumentation.pkg
* DevSDK.pkg
* DevSamples.pkg
* DevToolsDocumentation.pkg
* DeveloperDiskImage4_3.pkg
* DeveloperDiskImageReleased.pkg
* DeveloperTools.pkg
* DeveloperToolsCLI.pkg
* DeveloperToolsSystemSupport.pkg
* DistributedBuildsSupport.pkg
* DocDownloadOff.pkg
* DocDownloadOn.pkg
* FireWireSDK.pkg
* JavaSDK.pkg
* MacOSX10.6.pkg
* MacOSX10.7.pkg
* MobileDevice.pkg
* NetworkLinkConditioner.pkg
* OpenGLApps.pkg
* OpenGLSDK.pkg
* OtherDevDocumentation.pkg
* QuickTimeSDK.pkg
* RelocatableScript.pkg
* SourceControl.pkg
* SystemScript.pkg
* VersionedDeveloperToolsSystemSupport.pkg
* WebKitSDK.pkg
* X11Documentation.pkg
* X11SDK.pkg
* XcodeEssentialsSystemSupport.pkg
* XcodeTools.pkg
* XcodeUserSystemSupport.pkg
* XcodeiPhonePlugins.pkg
* clang.pkg
* gcc4.2.pkg
* iPhoneDocumentation.pkg
* iPhoneHostSideTools.pkg
* iPhoneSDK3_0.pkg
* iPhoneSDK3_1.pkg
* iPhoneSDK3_1_2.pkg
* iPhoneSDK3_1_3.pkg
* iPhoneSDK3_2.pkg
* iPhoneSDK4_0.pkg
* iPhoneSDK4_1.pkg
* iPhoneSDK4_2.pkg
* iPhoneSDK4_3.pkg
* iPhoneSDKSnowLeopardExtras.pkg
* iPhoneSDKTools.pkg
* iPhoneSimulatorSDK4_3.pkg
* iPhoneSimulatorSDK4_3Patch1.pkg
* iPhoneSimulatorSDKTools.pkg
* iPhoneSystemComponents.pkg
* llvm-gcc4.2.pkg
* xcrun.pkg

Mike McQuaid | 21 Aug 19:28 2011

Re: minimal Xcode requirements for brew


On 21 Aug 2011, at 18:23, TJ Luoma wrote:

> I am trying to find the minimal Xcode requirements for `brew` for
> someone who wants to be able to compile "Unix command line tools" (as
> opposed to iOS and/or Mac apps)

All the Homebrew packages will be tested against a full Xcode installation. It really will vary from
formula to formula as to what fails with less than that.

--
Mike McQuaid
http://mikemcquaid.com

Mike McQuaid | 21 Aug 19:29 2011

Re: minimal Xcode requirements for brew


On 21 Aug 2011, at 18:23, TJ Luoma wrote:

> I don't use X11

The installation instructions say to install this.

Also, this is a cool project but please don't file any bug reports if you're partially installing Xcode.

--
Mike McQuaid
http://mikemcquaid.com

TJ Luoma | 22 Aug 04:07 2011
Picon

Re: minimal Xcode requirements for brew

On Sun, Aug 21, 2011 at 1:29 PM, Mike McQuaid <mike <at> mikemcquaid.com> wrote:
>
> Also, this is a cool project but please don't file any bug reports if you're partially installing Xcode.

Of course… I'll be running Brew on one machine with a minimal Xcode
installation, as that machine has only a 32GB hard drive… my other
machines will be running normal Xcode installs.

TjL
sorin.ionescu | 22 Aug 08:15 2011
Picon

Re: minimal Xcode requirements for brew

If you do not want headaches from trying to build packages, use the GCC Without Xcode project. Anything else, other than the full Xcode installation, will fail.


--
Sorin Ionescu

On 21 Aug 2011, at 13:23, TJ Luoma wrote:

I am trying to find the minimal Xcode requirements for `brew` for
someone who wants to be able to compile "Unix command line tools" (as
opposed to iOS and/or Mac apps)

I looked at the Xcode packages (full list below) as well as
<https://github.com/mxcl/homebrew/wiki/Xcode> and started off by
installing these packages:

* gcc4.2.pkg
* clang.pkg
* llvm-gcc4.2.pkg
* DeveloperToolsCLI.pkg
* DevSDK.pkg [based on the github wiki page above]

and was able to install `brew install coreutils` without any problem
on my 10.7.1 installation.

I had *assumed* I might need:

* DeveloperTools.pkg
* DeveloperToolsSystemSupport.pkg

but I looked through the BOM and didn’t see anything that looked important.

http://dl.dropbox.com/u/18414/brew/DeveloperTools-Bom.txt.bz2

http://dl.dropbox.com/u/18414/brew/DeveloperToolsSystemSupport-Bom.txt.bz2

I don't use X11, and I am not aware of any packages I use which
require OpenGL or Java, so I didn't install:

* JavaSDK.pkg
* OpenGLSDK.pkg
* X11SDK.pkg

I will report back any problems, but thought I would share my initial findings.

If anyone knows any brew programs which would obviously fail without
installing one of the other packages, please let me know.

TjL


ps - FYI in case it is interesting to anyone, here is a complete
package list from the `Install Xcode.app/Contents/Resources/Packages/`
downloaded from the Mac App Store:

* ApplicationLoader.pkg
* BluetoothSDK.pkg
* CoreAudioSDK.pkg
* Dashcode.pkg
* DevDocumentation.pkg
* DevSDK.pkg
* DevSamples.pkg
* DevToolsDocumentation.pkg
* DeveloperDiskImage4_3.pkg
* DeveloperDiskImageReleased.pkg
* DeveloperTools.pkg
* DeveloperToolsCLI.pkg
* DeveloperToolsSystemSupport.pkg
* DistributedBuildsSupport.pkg
* DocDownloadOff.pkg
* DocDownloadOn.pkg
* FireWireSDK.pkg
* JavaSDK.pkg
* MacOSX10.6.pkg
* MacOSX10.7.pkg
* MobileDevice.pkg
* NetworkLinkConditioner.pkg
* OpenGLApps.pkg
* OpenGLSDK.pkg
* OtherDevDocumentation.pkg
* QuickTimeSDK.pkg
* RelocatableScript.pkg
* SourceControl.pkg
* SystemScript.pkg
* VersionedDeveloperToolsSystemSupport.pkg
* WebKitSDK.pkg
* X11Documentation.pkg
* X11SDK.pkg
* XcodeEssentialsSystemSupport.pkg
* XcodeTools.pkg
* XcodeUserSystemSupport.pkg
* XcodeiPhonePlugins.pkg
* clang.pkg
* gcc4.2.pkg
* iPhoneDocumentation.pkg
* iPhoneHostSideTools.pkg
* iPhoneSDK3_0.pkg
* iPhoneSDK3_1.pkg
* iPhoneSDK3_1_2.pkg
* iPhoneSDK3_1_3.pkg
* iPhoneSDK3_2.pkg
* iPhoneSDK4_0.pkg
* iPhoneSDK4_1.pkg
* iPhoneSDK4_2.pkg
* iPhoneSDK4_3.pkg
* iPhoneSDKSnowLeopardExtras.pkg
* iPhoneSDKTools.pkg
* iPhoneSimulatorSDK4_3.pkg
* iPhoneSimulatorSDK4_3Patch1.pkg
* iPhoneSimulatorSDKTools.pkg
* iPhoneSystemComponents.pkg
* llvm-gcc4.2.pkg
* xcrun.pkg


Gmane